import { createApp } from 'vue'
import { createPinia } from 'pinia'
import Antd from 'ant-design-vue'
import './style.css'
import '@/assets/styles/global.scss'
import App from './App.vue'
// 注册路由
import router from './router'
import AOS from 'aos'
import 'aos/dist/aos.css'
import '@fortawesome/fontawesome-free/css/all.min.css';

const app = createApp(App)


// 注册Ant Design组件
app.use(createPinia())
app.use(router)
app.use(Antd)
app.use(AOS.init({
    duration: 800,
    offset: 100,
    easing: 'ease-in-out',
    once: true
}))
app.mount('#app')
